<?xml version="1.0" encoding="UTF-8"?>
<dataSource name="test">
  <database-model serializer="dbm" dbms="SQLITE" family-id="SQLITE" format-version="4.17">
    <root id="1">
      <ServerVersion>3.25.1</ServerVersion>
    </root>
    <schema id="2" parent="1" name="main">
      <Current>1</Current>
    </schema>
    <collation id="3" parent="1" name="BINARY"/>
    <collation id="4" parent="1" name="NOCASE"/>
    <collation id="5" parent="1" name="RTRIM"/>
    <table id="6" parent="2" name="ar_internal_metadata"/>
    <table id="7" parent="2" name="comments"/>
    <table id="8" parent="2" name="schema_migrations"/>
    <table id="9" parent="2" name="sqlite_master">
      <System>1</System>
    </table>
    <table id="10" parent="2" name="sqlite_sequence">
      <System>1</System>
    </table>
    <table id="11" parent="2" name="users"/>
    <column id="12" parent="6" name="key">
      <Position>1</Position>
      <DataType>varchar|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="13" parent="6" name="value">
      <Position>2</Position>
      <DataType>varchar|0s</DataType>
    </column>
    <column id="14" parent="6" name="created_at">
      <Position>3</Position>
      <DataType>datetime|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="15" parent="6" name="updated_at">
      <Position>4</Position>
      <DataType>datetime|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <index id="16" parent="6" name="sqlite_autoindex_ar_internal_metadata_1">
      <NameSurrogate>1</NameSurrogate>
      <ColNames>key</ColNames>
      <Unique>1</Unique>
    </index>
    <key id="17" parent="6">
      <ColNames>key</ColNames>
      <Primary>1</Primary>
      <UnderlyingIndexName>sqlite_autoindex_ar_internal_metadata_1</UnderlyingIndexName>
    </key>
    <column id="18" parent="7" name="id">
      <Position>1</Position>
      <DataType>integer|0s</DataType>
      <NotNull>1</NotNull>
      <SequenceIdentity>1</SequenceIdentity>
    </column>
    <column id="19" parent="7" name="body">
      <Position>2</Position>
      <DataType>text|0s</DataType>
    </column>
    <column id="20" parent="7" name="user_id">
      <Position>3</Position>
      <DataType>integer|0s</DataType>
    </column>
    <column id="21" parent="7" name="created_at">
      <Position>4</Position>
      <DataType>datetime|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="22" parent="7" name="updated_at">
      <Position>5</Position>
      <DataType>datetime|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <index id="23" parent="7" name="index_comments_on_user_id">
      <ColNames>user_id</ColNames>
    </index>
    <key id="24" parent="7">
      <ColNames>id</ColNames>
      <Primary>1</Primary>
    </key>
    <column id="25" parent="8" name="version">
      <Position>1</Position>
      <DataType>varchar|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <index id="26" parent="8" name="sqlite_autoindex_schema_migrations_1">
      <NameSurrogate>1</NameSurrogate>
      <ColNames>version</ColNames>
      <Unique>1</Unique>
    </index>
    <key id="27" parent="8">
      <ColNames>version</ColNames>
      <Primary>1</Primary>
      <UnderlyingIndexName>sqlite_autoindex_schema_migrations_1</UnderlyingIndexName>
    </key>
    <column id="28" parent="9" name="type">
      <Position>1</Position>
      <DataType>text|0s</DataType>
    </column>
    <column id="29" parent="9" name="name">
      <Position>2</Position>
      <DataType>text|0s</DataType>
    </column>
    <column id="30" parent="9" name="tbl_name">
      <Position>3</Position>
      <DataType>text|0s</DataType>
    </column>
    <column id="31" parent="9" name="rootpage">
      <Position>4</Position>
      <DataType>int|0s</DataType>
    </column>
    <column id="32" parent="9" name="sql">
      <Position>5</Position>
      <DataType>text|0s</DataType>
    </column>
    <column id="33" parent="10" name="name">
      <Position>1</Position>
    </column>
    <column id="34" parent="10" name="seq">
      <Position>2</Position>
    </column>
    <column id="35" parent="11" name="id">
      <Position>1</Position>
      <DataType>integer|0s</DataType>
      <NotNull>1</NotNull>
      <SequenceIdentity>1</SequenceIdentity>
    </column>
    <column id="36" parent="11" name="name">
      <Position>2</Position>
      <DataType>varchar|0s</DataType>
    </column>
    <column id="37" parent="11" name="created_at">
      <Position>3</Position>
      <DataType>datetime|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="38" parent="11" name="updated_at">
      <Position>4</Position>
      <DataType>datetime|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="39" parent="11" name="avatar">
      <Position>5</Position>
      <DataType>text|0s</DataType>
    </column>
    <key id="40" parent="11">
      <ColNames>id</ColNames>
      <Primary>1</Primary>
    </key>
  </database-model>
</dataSource>